### Enumeration

# Fwupd RemoteFlags

#### Declaration

    flags Fwupd.RemoteFlags

#### Description [src]

The flags available for the remote.

#### Members

`FWUPD_REMOTE_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.0
`FWUPD_REMOTE_FLAG_ENABLED`

  Is enabled.

  - Value: `1`
  - Available since: 2.0
`FWUPD_REMOTE_FLAG_APPROVAL_REQUIRED`

  Requires approval for each firmware.

  - Value: `2`
  - Available since: 2.0
`FWUPD_REMOTE_FLAG_AUTOMATIC_REPORTS`

  Send firmware reports automatically.

  - Value: `4`
  - Available since: 2.0
`FWUPD_REMOTE_FLAG_AUTOMATIC_SECURITY_REPORTS`

  Send security reports automatically.

  - Value: `8`
  - Available since: 2.0
`FWUPD_REMOTE_FLAG_ALLOW_P2P_METADATA`

  Use peer-to-peer locations for metadata.

  - Value: `16`
  - Available since: 2.0
`FWUPD_REMOTE_FLAG_ALLOW_P2P_FIRMWARE`

  Use peer-to-peer locations for firmware.

  - Value: `32`
  - Available since: 2.0
`FWUPD_REMOTE_FLAG_NO_PHASED_UPDATES`

  Do not slow deployment using phased updates.

  - Value: `64`
  - Available since: 2.0